import request from '@/utils/request'

// 智能搜索接口 - 根据输入内容获取对应的key和value
export function searchHint(query) {
  return request({
    url: '/products/search/smart',
    method: 'get',
    params: query
  })
}

// 查询 - 在所有字段中搜索相似内容，可模糊可精确
export function search(data) {
  return request({
    url: '/products/search/fuzzy',
    method: 'post',
    data: data
  })
}

// 查询 - 关键差异信息推荐
export function differenceWords(data) {
  return request({
    url: '/products/key/differences',
    method: 'post',
    data: data
  })
}


// 参数对比
export function compare(query) {
  return request({
    url: '/products/differences',
    method: 'get',
    params: query
  })
}


